Package org.eclipse.core.databinding.bind.steps

# Interface ListTwoWaySteps.ListTwoWayFromStep

All Superinterfaces:
  `ListCommonSteps.ListFromStep`, `Step`

All Known Subinterfaces:
  `CommonSteps.TwoWayConfigAndFromStep<SELF>`

Enclosing class:
  ListTwoWaySteps

public static interface ListTwoWaySteps.ListTwoWayFromStep extends ListCommonSteps.ListFromStep
Refines the return types of the `ListCommonSteps.ListFromStep` methods for use with two-way bindings.

Restriction:

## Method Summary

Modifier and Type
Method
Description
`<F> ListTwoWaySteps.ListTwoWayConvertToStep<F,?>`
`from(IObservableList<F> from)`
Sets the from-end observable of the resulting binding.

## Method Details

### from

<F> ListTwoWaySteps.ListTwoWayConvertToStep<F,?> from(IObservableList<F> from)
Description copied from interface: `ListCommonSteps.ListFromStep`
Sets the from-end observable of the resulting binding. All steps after this one but before a call to `to` will configure the from-end of the binding.

Specified by:
  `from` in interface `ListCommonSteps.ListFromStep`
Returns:
  next step
See Also:
  - `DataBindingContext.bindList(org.eclipse.core.databinding.observable.list.IObservableList<T>, org.eclipse.core.databinding.observable.list.IObservableList<M>)`